GCLOUD_KMS_KEYS_VERSIONS_CREATE(1)

NAME

gcloud kms keys versions create - create a new version

SYNOPSIS

gcloud kms keys versions create [--key=KEY] [--keyring=KEYRING] [--location=LOCATION] [--primary] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Creates a new version within the given key.

FLAGS

    --key=KEY
        The containing key.

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

    --primary
        If specified, immediately make the new version primary.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
The following command creates a new version within the frodo key, fellowship keyring, and global location and sets it as the primary version:
    $ gcloud kms keys versions create --location global \
        --keyring fellowship \
        --key frodo --primary